.chat {background-color:#fff; border:1px solid #e5e5ea; border-radius:0.25rem; display:flex; flex-direction:column; margin:0 auto 1rem; max-width:600px; padding:0.5rem 1.5rem;}
.chat p {border-radius:1.15rem; line-height:1.25; max-width:80%; padding:0.5rem .875rem; position:relative; word-wrap:break-word;}
.chat p span.block {margin-top:20px;}
.single .post .chat p:first-of-type {font-weight:normal;}
.chat p::before, .chat p::after {position:absolute; bottom:-0.1rem; content:""; height:1rem;}
.chat div.date {line-height:2.6em; color:#a3a2a2; font-weight:600;}
p.from-me {align-self:flex-end; background-color:#248bf5; color:#fff;}
p.from-me::before {border-bottom-left-radius:0.8rem 0.7rem; border-right:1rem solid #248bf5; right:-0.35rem; transform:translate(0, -0.1rem);}
p.from-me::after {background-color:#fff; border-bottom-left-radius:0.5rem; right:-40px; transform:translate(-30px, -2px); width:10px;}
p[class^="from-"] {margin:0.5rem 0; width:fit-content;}
p.from-me ~ p.from-me {margin:0.25rem 0 0;}
p.from-me ~ p.from-me:not(:last-child) {margin:0.25rem 0 0;}
p.from-me ~ p.from-me:last-child {margin-bottom:0.5rem;}
p.from-them {align-items:flex-start; background-color:#e5e5ea; color:#000;}
p.from-them:before {border-bottom-right-radius:0.8rem 0.7rem; border-left:1rem solid #e5e5ea; left:-0.35rem; transform:translate(0, -0.1rem);}
p.from-them::after {background-color:#fff; border-bottom-right-radius:0.5rem; left:20px; transform:translate(-30px, -2px); width:10px;}
p[class^="from-"].emoji {background:none; font-size:2.5rem;}
p[class^="from-"].emoji::before {content:none;}
.no-tail::before {display:none;}
.margin-b_none {margin-bottom:0 !important;}
.margin-b_one {margin-bottom:1rem !important;}
.margin-t_one {margin-top:1rem !important;}

/* Audioplayer */
.chat  div.mejs-container.mejs-audio {min-width:260px !important;}
.chat div.mejs-container, .mejs-container .mejs-controls, .mejs-embed, .mejs-embed body {background-color:#918e8e !important;}

// ###########################################################################################
// ###################################  HIS RESPONSIVENESS  ########################################
// ###########################################################################################
